%define anolis_release 2
Name:           perl-XML-LibXML-PrettyPrint
Version:        0.006
Release:        7.1.%{anolis_release}%{?dist}
Summary:        Add pleasant white space to an XML tree
# CONTRIBUTING: GPL+ or Artistic or CC-BY-SA
# COPYRIGHT:    Public Domain
# LICENSE:      GPL1 and Artistic license text
# Other files:  GPL+ or Artistic
License:        (GPL+ or Artistic) and (GPL+ or Artistic or CC-BY-SA) and Public Domain
URL:            https://metacpan.org/release/XML-LibXML-PrettyPrint
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/XML-LibXML-PrettyPrint-%{version}.tar.gz
# Do not use /usr/bin/env in scripts
Patch0:         XML-LibXML-PrettyPrint-0.006-Normalize-shell-bang.patch
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter::Tiny)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XML::LibXML) >= 1.62
# Tests:
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
XML::LibXML::PrettyPrint is a Perl module that can be applied to an
XML::LibXML DOM tree to reformat it into a more readable result.

%prep
%setup -q -n XML-LibXML-PrettyPrint-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING COPYRIGHT CREDITS README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 0.006-7.1.2
- rebuild for qt

* Mon Aug 28 2023 yangxianzhao <yangxianzhao@uniontech.com> - 0.006-7.1.1
- Specification spec file

* Tue Feb 09 2021 Xue haolin <xuehaolin@uniontech.com> - 0.006-7.1
- Rebuild

* Mon Sep 21 2020 zhangbinchen <zhangbinchen@chengjieos.com> - 0.006-7
- rebuild all-arch

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-4
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 12 2017 Petr Pisar <ppisar@redhat.com> 0.006-1
- Specfile autogenerated by cpanspec 1.78.
